# DataExchange
TKIGES
IGESBasic

# IGESBasic_HArray1OfHArray1OfXY Class Reference

`#include <IGESBasic_HArray1OfHArray1OfXY.hxx>`

## Public Member Functions

Standard_EXPORT | IGESBasic_HArray1OfHArray1OfXY (const Standard_Integer low, const Standard_Integer up)
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT Standard_Integer | Length () const
Standard_EXPORT void | SetValue (const Standard_Integer num, const Handle(TColgp_HArray1OfXY)&val)
Standard_EXPORT Handle_TColgp_HArray1OfXY | Value (const Standard_Integer num) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfTransient | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_HArray1OfHArray1OfXY::IGESBasic_HArray1OfHArray1OfXY | ( | const Standard_Integer | low,
|  | const Standard_Integer | up
| ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_HArray1OfHArray1OfXY::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_HArray1OfHArray1OfXY::Length | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_HArray1OfHArray1OfXY::Lower | ( |  | ) | const

Standard_EXPORT void IGESBasic_HArray1OfHArray1OfXY::SetValue | ( | const Standard_Integer | num,
|  | const Handle(TColgp_HArray1OfXY)& | val
| ) |

Standard_EXPORT Standard_Integer IGESBasic_HArray1OfHArray1OfXY::Upper | ( |  | ) | const

Standard_EXPORT Handle_TColgp_HArray1OfXY IGESBasic_HArray1OfHArray1OfXY::Value | ( | const Standard_Integer | num | ) | const

## Field Documentation

TColStd_Array1OfTransient IGESBasic_HArray1OfHArray1OfXY::thelist`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_HArray1OfHArray1OfXY.hxx